namespace PkmnLib.Static;

/// <summary>
/// Stats are numerical values on Pokemon that are used in battle.
/// </summary>
public enum Statistic : byte
{
    /// <summary>
    /// Health Points determine how much damage a Pokemon can receive before fainting.
    /// </summary>
    Hp,
    /// <summary>
    /// Attack determines how much damage a Pokemon deals when using a physical attack.
    /// </summary>
    Attack,
    /// <summary>
    /// Defense determines how much damage a Pokemon receives when it is hit by a physical attack.
    /// </summary>
    Defense,
    /// <summary>
    /// Special Attack determines how much damage a Pokemon deals when using a special attack.
    /// </summary>
    SpecialAttack,
    /// <summary>
    /// Special Defense determines how much damage a Pokemon receives when it is hit by a special attack.
    /// </summary>
    SpecialDefense,
    /// <summary>
    /// Speed determines the order that a Pokemon can act in battle.
    /// </summary>
    Speed
}